/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 *  Authors: Iain Holmes <iain@prettypeople.org>
 *
 *  Copyright 2002 Iain Holmes
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of version 2 of the GNU General Public 
 *  License as published by the Free Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
 *
 */

#include <glib-object.h>

#include <marlin/marlin-types.h>

GType
marlin_display_get_type (void)
{
	static GType type = 0;
	static GEnumValue coverage[] = {
		{ MARLIN_DISPLAY_FRAMES, "0", "Display as frames" },
		{ MARLIN_DISPLAY_TIME_LONG, "1", "Display time in long format" },
		{ MARLIN_DISPLAY_SECONDS, "2", "Display as seconds" },
		{ MARLIN_DISPLAY_TIME_FRAMES, "3", "Frames and time" },
		{ 0, NULL, NULL },
	};
	
	if (type == 0) {
		type = g_enum_register_static ("MarlinDisplay", coverage);
	}
	
	return type;
}

GType
marlin_scale_get_type (void)
{
	static GType type = 0;
	static GEnumValue level[] = {
		{ MARLIN_SCALE_LINEAR, "0", "Display a linear scale" },
		{ MARLIN_SCALE_LOG, "1", "Display a logarithmic scale" },
		{ 0, NULL, NULL },
	};

	if (type == 0) {
		type = g_enum_register_static ("MarlinScale", level);
	}

	return type;
}
