/*
 *  Copyright (C) 2003 Marco Pesenti Gritti
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef MARLIN_OPEN_HISTORY_ACTION_H
#define MARLIN_OPEN_HISTORY_ACTION_H

#include <gtk/gtkaction.h>

#define MARLIN_OPEN_HISTORY_ACTION_TYPE            (marlin_open_history_action_get_type ())
#define MARLIN_OPEN_HISTORY_ACTION(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), MARLIN_OPEN_HISTORY_ACTION_TYPE, MarlinOpenHistoryAction))
#define MARLIN_OPEN_HISTORY_ACTION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), MARLIN_OPEN_HISTORY_ACTION_TYPE, MarlinOpenHistoryActionClass))
#define MARLIN_IS_OPEN_HISTORY_ACTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MARLIN_OPEN_HISTORY_ACTION_TYPE))
#define MARLIN_IS_OPEN_HISTORY_ACTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), MARLIN_OPEN_OPEN_HISTORY_ACTION_TYPE))
#define MARLIN_OPEN_HISTORY_ACTION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), MARLIN_OPEN_HISTORY_ACTION_TYPE, MarlinOpenHistoryActionClass))

typedef struct _MarlinOpenHistoryAction       MarlinOpenHistoryAction;
typedef struct _MarlinOpenHistoryActionClass  MarlinOpenHistoryActionClass;
typedef struct MarlinOpenHistoryActionPrivate MarlinOpenHistoryActionPrivate;

struct _MarlinOpenHistoryAction
{
	GtkAction parent;
        MarlinOpenHistoryActionPrivate *priv;
};

struct _MarlinOpenHistoryActionClass
{
	GtkActionClass parent_class;
};

GType    marlin_open_history_action_get_type   (void);

#endif
