/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 *  Authors: Iain Holmes <iain@prettypeople.org>
 *
 *  Copyright 2002 Iain Holmes
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of version 2 of the GNU General Public 
 *  License as published by the Free Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
 *
 */

#include "marlin-recent.h"

static EggRecentModel *model = NULL;

EggRecentModel *
marlin_recent_get_model (void)
{
	return model;
}

void
marlin_recent_initialise (void)
{
	if (model == NULL) {
		model = egg_recent_model_new (EGG_RECENT_MODEL_SORT_MRU);
		egg_recent_model_set_filter_mime_types (model, "audio/*",
							"video/*", NULL);
	}
}
